Orders - transfer
curl --request PUT \
--url https://api.artisn.desarrollo-redbrand.com/api/api/order/transfer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"order": "0000000246-010103",
"from_store": "K046",
"to_store": "K153",
"processed_by": "Juanito P",
"transfer_reason": "Pickup order test transfer",
"shipping_address": ""
}
'import requests
url = "https://api.artisn.desarrollo-redbrand.com/api/api/order/transfer"
payload = {
"order": "0000000246-010103",
"from_store": "K046",
"to_store": "K153",
"processed_by": "Juanito P",
"transfer_reason": "Pickup order test transfer",
"shipping_address": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
order: '0000000246-010103',
from_store: 'K046',
to_store: 'K153',
processed_by: 'Juanito P',
transfer_reason: 'Pickup order test transfer',
shipping_address: ''
})
};
fetch('https://api.artisn.desarrollo-redbrand.com/api/api/order/transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Order transferred successfully",
"status": "success"
}{
"error": "Invalid data"
}Cambios de estado
Transferencia - Órdenes
Autenticación oauth con client credentials
PUT
/
api
/
order
/
transfer
Orders - transfer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Order ID
Example:
"0000000246-010103"
Origin Store Code
Example:
"K046"
Target store code
Example:
"K153"
Name of the person processing the transfer
Example:
"Juanito P"
Reason for transfer
Example:
"Pickup order test transfer"
Shipping address (optional)
Example:
""
⌘I

